> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Events

> Implement a handler for this webhook to get information about Call lifecycle events (e.g., started, ended, etc.).



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /webhookhandler/call
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /webhookhandler/call:
    post:
      tags:
        - Webhook Handlers
      summary: Call Events
      description: >-
        Implement a handler for this webhook to get information about Call
        lifecycle events (e.g., started, ended, etc.).
      operationId: callWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallStatusUpdateWebhook'
      responses:
        '200':
          description: Indicates the callback was recieved successfully
        default:
          description: >-
            All other response codes will trigger a retry up to the maximum
            number of retries.
components:
  schemas:
    CallStatusUpdateWebhook:
      type: object
      description: Call Status webhook payload
      properties:
        call_id:
          type: string
          description: GUID Representing Call ID
        agencies:
          type: array
          description: Agencies related to the call
          items:
            $ref: '#/components/schemas/AgencyDto'
        status:
          type: string
          description: Call Status
          enum:
            - STARTED
            - LOCATION_UPDATED
            - ENDED
    AgencyDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        code:
          type: string
        type:
          type: string
        geoAreaIds:
          type: array
          items:
            type: integer
            format: int64
        geoAreas:
          type: array
          items:
            $ref: '#/components/schemas/GeoAreaDto'
    GeoAreaDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        properties:
          $ref: '#/components/schemas/GeoAreaProperties'
        geometry:
          type: object
          additionalProperties:
            type: object
    GeoAreaProperties:
      type: object
      properties:
        geoArea:
          type: string
        name:
          type: string
        color:
          type: string

````